.fileUpload {
  position: relative !important;
}

.fileUpload .file {
  border: 1px solid #bbb;
  border-radius: 2px 2px 2px 2px;
  float: left;
  margin-right: 4px;
  padding: 0 5px;
}

.fileUpload .new_upload {
  top: 0;
  left: 0;
  background: #fff;
}

.fileToUpload {
  position: absolute;
}

.mintloader {
  color: #555;
  cursor: default;
  padding: 6px;
  background: #fff;
  position: relative;
  border: 1px solid #949494;
  border-radius: 6px;
  width: 100%;
}

.mintloader.hover {
  background: #fff;
  border-color: #555;
}

.mintloader.active {
  z-index: 1101;
}

.progressIndicator {
  font-size: 1em;
}

.fileInfo {
  font-size: 10pt;
  font-style: italic;
  color: #aaa;
  margin-top: 10px;
  display: none;
}

.progressBarOuter {
  border: 1px solid #aaa;
  border-radius: 3px;
  float: left;
  background: white;
}

.progressBar {
  height: 3.1em;
  display: none;
  border-radius: 3px;
  background: $secondary-color;
}

.uploadResponse {
  margin: 6px -6px -6px;
  overflow: hidden;
  background: $background-color;
  border-radius: 0 0 5px 5px;
}

.progressIndicator {
  display: none;
  position: absolute;
  top: -1px;
  left: -1px;
  z-index: 100;
}

.progressNumber {
  display: none;
}

.transferBytesInfo {
  width: 100%;
  position: absolute;
  line-height: 2.7;
  text-align: center;
  color: #222;
  font-weight: bold;
}

.fileuploadthumbnail {
  background: url(/images/mime/icon-txt.png) no-repeat 8px center;
  clear: left;
  padding: 8px;
  padding-left: 32px;
  border-top: 1px solid #ccc;
  position: relative;
  list-style: none;
  margin: 0 !important;

  &.fileuploadthumbnail-view {
    border-top: none;
    padding: 3px;
    background-position: 0 center;
    padding-left: 22px;
  }
}

.referred_field_value .fileuploadthumbnail {
  border: none;
}

.mintloader.hover .fileuploadthumbnail {
  padding: 6px 12px;
  padding-left: 34px;
  background-position: 12px center;
}

.mintloader span.slepen {
  color: #595959;
  margin-left: 10px;
  margin-right: 5px;
  line-height: 2.2;
}

.mintloader .mintloader-error {
  padding: 0 5px 5px 5px;
}

.mintloader-file-accept-message {
  display: inline;
  color: #aaa;
  margin-left: 3px;
}

.ie8 .mintloader,
.ie9 .mintloader {
  padding: 0;
  background: none;
  border: none;
}

.ie8 .fileuploadthumbnail,
.ie9 .fileuploadthumbnail {
  background: url(/images/mime/icon-txt.png) no-repeat 0px center;
  padding-left: 22px;
  border: none !important;
}

.ie .fileUpload .new_upload {
  top: 0px;
  width: 100%;
  background-color: transparent;
}

.ie .fileUpload input,
input[type=file] {
  width: 100%;
  padding: 5px;
  border: 1px solid #aaa !important;
}

.filename_anchor {
  &:hover {
    text-decoration: underline;
    cursor: pointer;
  }
}

.file-download-button {
  float: right;
  text-decoration: none;

  i {
    color: #bbb;

    &:hover {
      color: #000;
    }
  }
}